coder v0.0.0-devel

USAGE:
  coder templates edit [flags] <template>

  Edit the metadata of a template by name.

OPTIONS:
  -O, --org string, $CODER_ORGANIZATION
          Select which organization (uuid or name) to use.

      --activity-bump duration
          Edit the template activity bump - workspaces created from this
          template will have their shutdown time bumped by this value when
          activity is detected. Maps to "Activity bump" in the UI.

      --allow-user-autostart bool (default: true)
          Allow users to configure autostart for workspaces on this template.
          This can only be disabled in enterprise.

      --allow-user-autostop bool (default: true)
          Allow users to customize the autostop TTL for workspaces on this
          template. This can only be disabled in enterprise.

      --allow-user-cancel-workspace-jobs bool (default: true)
          Allow users to cancel in-progress workspace jobs.

      --autostart-requirement-weekdays [monday|tuesday|wednesday|thursday|friday|saturday|sunday|all]
          Edit the template autostart requirement weekdays - workspaces created
          from this template can only autostart on the given weekdays. To unset
          this value for the template (and allow autostart on all days), pass
          'all'.

      --autostop-requirement-weekdays [monday|tuesday|wednesday|thursday|friday|saturday|sunday|none]
          Edit the template autostop requirement weekdays - workspaces created
          from this template must be restarted on the given weekdays. To unset
          this value for the template (and disable the autostop requirement for
          the template), pass 'none'.

      --autostop-requirement-weeks int
          Edit the template autostop requirement weeks - workspaces created from
          this template must be restarted on an n-weekly basis.

      --default-ttl duration
          Edit the template default time before shutdown - workspaces created
          from this template default to this value. Maps to "Default autostop"
          in the UI.

      --deprecated string
          Sets the template as deprecated. Must be a message explaining why the
          template is deprecated.

      --description string
          Edit the template description.

      --display-name string
          Edit the template display name.

      --dormancy-auto-deletion duration (default: 0h)
          Specify a duration workspaces may be in the dormant state prior to
          being deleted. This licensed feature's default is 0h (off). Maps to
          "Dormancy Auto-Deletion" in the UI.

      --dormancy-threshold duration (default: 0h)
          Specify a duration workspaces may be inactive prior to being moved to
          the dormant state. This licensed feature's default is 0h (off). Maps
          to "Dormancy threshold" in the UI.

      --failure-ttl duration (default: 0h)
          Specify a failure TTL for workspaces created from this template. It is
          the amount of time after a failed "start" build before coder
          automatically schedules a "stop" build to cleanup.This licensed
          feature's default is 0h (off). Maps to "Failure cleanup" in the UI.

      --icon string
          Edit the template icon path.

      --name string
          Edit the template name.

      --private bool (default: false)
          Disable the default behavior of granting template access to the
          'everyone' group. The template permissions must be updated to allow
          non-admin users to use this template.

      --require-active-version bool (default: false)
          Requires workspace builds to use the active template version. This
          setting does not apply to template admins. This is an enterprise-only
          feature. See
          https://coder.com/docs/templates/general-settings#require-automatic-updates-enterprise
          for more details.

  -y, --yes bool
          Bypass prompts.

———
Run `coder --help` for a list of global options.
